Open a support ticket
const url = 'https://api.nsin.ir/tickets';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"subject":"example","message":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.nsin.ir/tickets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "subject": "example", "message": "example" }'Send JSON for a text-only ticket, or multipart/form-data to attach
images.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example generated
{ "subject": "example", "message": "example"}object
Image attachments.
Responses
Section titled “ Responses ”The created ticket.
object
For example open or closed.
The thread. Populated when fetching a single ticket.
object
The message author.
object
True when written by support staff.
object
Where to download the attachment.
Example generated
{ "id": 1, "user_id": 1, "subject": "example", "status": "example", "closed_at": "2026-04-15T12:00:00Z", "closed_by_user_id": 1, "user_last_read_message_id": 1, "staff_last_read_message_id": 1, "messages": [ { "id": 1, "ticket_id": 1, "author_user_id": 1, "author": {}, "body": "example", "is_staff": true, "attachments": [ { "id": 1, "message_id": 1, "original_name": "example", "content_type": "example", "size_bytes": 1, "url": "example" } ], "created_at": "2026-04-15T12:00:00Z" } ], "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z"}Invalid body, or a missing/oversized subject or message.
The single error shape used by every endpoint.
object
Human-readable description of what went wrong.
Example
{ "error": "read-only API key"}Missing, malformed, revoked or expired API key — or the owning account is inactive.
The single error shape used by every endpoint.
object
Human-readable description of what went wrong.
Examples
{ "error": "invalid API key"}The key is read-only and this endpoint is a write. Read-only keys may
only issue GET, HEAD and OPTIONS.
The single error shape used by every endpoint.
object
Human-readable description of what went wrong.
Examples
{ "error": "read-only API key"}The key exceeded its request budget (300 requests per minute by default).
The single error shape used by every endpoint.
object
Human-readable description of what went wrong.
Examples
{ "error": "rate limit exceeded"}